Module ij
Package ij.plugin

# Class HyperStackConverter

java.lang.Object
ij.plugin.HyperStackConverter

All Implemented Interfaces:
  `PlugIn`

public class HyperStackConverter extends Object implements PlugIn
Implements the "Stack to HyperStack", "RGB to HyperStack" and "HyperStack to Stack" commands.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CTZ`
`static final int`
`CZT`
`static final int`
`TCZ`
`static final int`
`TZC`
`static final int`
`ZCT`
`static final int`
`ZTC`

## Constructor Summary

Constructors
Constructor
Description
`HyperStackConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`shuffle(ImagePlus imp, int order)`
Changes the dimension order of a 4D or 5D stack from the specified order (CTZ, ZCT, ZTC, TCZ or TZC) to the XYCZT order used by ImageJ.
`static ImagePlus`
`toHyperStack(ImagePlus imp, int c, int z, int t)`
Converts the specified stack into a hyperstack with 'c' channels, 'z' slices and 't' frames using the default ordering ("xyczt") and display mode ("Composite").
`static ImagePlus`
`toHyperStack(ImagePlus imp, int c, int z, int t, String mode)`
Converts the specified stack into a hyperstack with 'c' channels, 'z' slices and 't' frames using the default ordering ("xyczt") and the specified display mode ("composite", "color" or "grayscale").
`static ImagePlus`
`toHyperStack(ImagePlus imp, int c, int z, int t, String order, String mode)`
Converts the specified stack into a hyperstack with 'c' channels, 'z' slices and 't' frames.
`static void`
`toStack(ImagePlus imp)`
Converts the specified hyperstack into a stack.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CZT

public static final int CZT

See Also:
  - Constant Field Values

### CTZ

public static final int CTZ

See Also:
  - Constant Field Values

### ZCT

public static final int ZCT

See Also:
  - Constant Field Values

### ZTC

public static final int ZTC

See Also:
  - Constant Field Values

### TCZ

public static final int TCZ

See Also:
  - Constant Field Values

### TZC

public static final int TZC

See Also:
  - Constant Field Values

## Constructor Details

### HyperStackConverter

public HyperStackConverter()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### toHyperStack

public static ImagePlus toHyperStack(ImagePlus imp, int c, int z, int t)
Converts the specified stack into a hyperstack with 'c' channels, 'z' slices and 't' frames using the default ordering ("xyczt") and display mode ("Composite").

### toHyperStack

public static ImagePlus toHyperStack(ImagePlus imp, int c, int z, int t, String mode)
Converts the specified stack into a hyperstack with 'c' channels, 'z' slices and 't' frames using the default ordering ("xyczt") and the specified display mode ("composite", "color" or "grayscale").

### toHyperStack

public static ImagePlus toHyperStack(ImagePlus imp, int c, int z, int t, String order, String mode)
Converts the specified stack into a hyperstack with 'c' channels, 'z' slices and 't' frames. The default "xyczt" order is used if 'order' is null. The default "composite" display mode is used if 'mode' is null.

Parameters:
  `imp` - the stack to be converted
  `c` - channels
  `z` - slices
  `t` - frames
  `order` - hyperstack order ("default", "xyctz", "xyzct", "xyztc", "xytcz" or "xytzc")
  `mode` - display mode ("composite", "color" or "grayscale")
Returns:
  the resulting hyperstack

### toStack

public static void toStack(ImagePlus imp)
Converts the specified hyperstack into a stack.

### shuffle

public void shuffle(ImagePlus imp, int order)
Changes the dimension order of a 4D or 5D stack from the specified order (CTZ, ZCT, ZTC, TCZ or TZC) to the XYCZT order used by ImageJ.